#ifndef COMBODATA_H
#define COMBODATA_H

#include <QVariant>
#include <QSharedDataPointer>

#include "core_global.h"
#include "data/comboitem.h"

class CORESHARED_EXPORT ComboData
{
public:
    ComboData(const QVariant &index, const QString &label);
    ComboData(const QSharedPointer<QObject> &index);
    ~ComboData();

    QVariant index() const;
    void setIndex(const QVariant &index);

    QString label() const;
    void setLabel(const QString &label);

private:
    QVariant m_index;
    QString m_label;
};

#endif // COMBODATA_H
